*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    font-family: Helvetica ;
}
/*home page css*/
/* flex is one directional to display side by side use display by flex */
nav{
    display: flex;
    justify-content: space-between;
    align-items: center; /* elements present inside the nav bar invertically centered*/
    background-color:rgb(0, 0, 0, 0.03);
    padding: 2rem;
    position:fixed; /* if we want to fix the element we should use position and assign top or bottom */
    top:0px;
    width: 100%;

    ul{
        display:flex;
        list-style: none;
        gap:2rem; /* 1rem is equal to 16pixels */
    }
}

a{
    text-decoration:none;/* using text decortion add underline or remove underline */
                          /*what is the diiference between margin and padding */
}

.navlinks a{
    color:white;
}

.navlinks a:hover{
    color: hotpink;
}
.home-header{
    background:url(./assests/images/app-link-background.svg)no-repeat center/cover;
    min-height:100vh;/*viewport height. what is difference between height and min height */
    text-align: center;
    align-content: center;
    color:white;
    h1{
        font-size: 4rem;
        margin-bottom: 2rem;
    }
    #ios-store{
        height: 55px;
    }
     .stores{
        display:flex; /*to use align item we use flex or else we cannot use align items */
        justify-content: center;
        align-items: center;
        gap:2rem;
    }
}
.features{
    display: flex;
    height:100vh;
    align-items:center;
    text-align: center;
    gap:3rem;
    padding:0 3rem;

    img{
        height:10rem;
    }

    p{
        margin-top: 1rem;
    }
}
.heading{
    font-size:3.5rem;
    text-align: center;
    padding-top:3rem;
}

.banner1{
    background:url(./assests/images/banner-1.webp)
    no-repeat center/cover ;
    min-height: 100vh;
    text-align: center;
    align-content: center;
    font-size: 3rem;
    color: white;
}

.banner2{
    background: url(./assests/images/banner-2.webp)
    no-repeat center/cover;
    min-height: 100vh;
    text-align: center;
    align-content: center;
    font-size: 3rem;
    color: white;
    button{
        background-color: transparent;
        color: white;
        border: 2px solid white;
        padding: .5rem;
        border-radius: 1rem;
    }
}

.connectus{
    padding:2rem;
    h1{
        text-align:center;
        font-size:2.5rem;
        margin-bottom:2rem;
    }
}

.connectus-inner{
    display:grid;
    grid-template-columns: 1fr 1fr 2fr;
    gap:2rem;
    line-height: 2rem;
    h3{
        margin-bottom: 1rem;
    }
}

/*about page*/

.about-header{
    background: url(./assests/images/banner\ \(2\).webp)no-repeat center/cover;
    height: 100vh;
    align-content: center;
    p{
        width:50%;
        font-size: 3rem;
        color:white;
        padding-left: 3rem;
        font-weight: bold;
    }
}

.about-main{
    display:grid;
    grid-template-columns: repeat(2, 1fr);
    gap:2rem;
    line-height: 2rem;
    padding:2rem;
    .about-img{
        height:100%;
        width:100%;
    }
    div{
        align-content: center;
    }
}

.menu-header{
    background: url(./assests/images/banner\ \(3\).webp)no-repeat center/cover;
    min-height: 100vh;
    align-content: center;
    }

.menu-main{
    display: grid;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    color: white;
    gap: 10px;
    grid-template-columns: repeat(1,3fr);
}


    .menu-item1{
        display: flex;
        padding: 1rem;
        justify-content: space-evenly;
    }

    .menu-item2{
        display: flex;
        padding: 1rem;
        justify-content: space-evenly;
    }

.vediobg{
    min-height:100vh;
    video{
        width:100%;
        position:absolute;
        z-index:-1;
    }
}
.videobg{
        min-height:100vh;
        position:relative;
        height:100vh;
        display:flex;
        justify-content:center;
        align-items:center;
        text-align:center;
        color:white;
        
        video{
            width:100%;
            position:absolute;
            z-index:-1;
           
        }
        
    }

    .mission{
        justify-content: center;
        text-align: center;
        margin:80px;
        padding: 30px;
        line-height: 8vh;
        font-size: 20px;
    }

    .hr1{
        padding:0px;
        margin:0px;
        color: blueviolet;
        
    }
    .benefits{
    display: flex;
    height:80vh;
    align-items: center;
    text-align: center;
    gap: 3rem;
    padding: 0 2rem;
    

    img{
        height:10rem;
    }

    p{
        margin-top: 1rem;
    }

}
.apply{
    padding:2rem;
    margin:20px;
}
.image-apply{
    width:50px;
}

.input-data{
    height:200px;
    padding: 2rem;
    margin:2rem;
}
.heading2{
   
    text-align: center;
    font-size: 45px;
}
.text2{
    text-align: center;
    padding: 6px;
}
.forms{
    display: flex;
    justify-content:space-between;
}
.forms-apply{
    height:80px;
}
.input1{
    height:60px;
    width:90%;
    border-radius:20px;
}
.color{
    background-color:rgb(235, 59, 59);
    width:160px;
    height:60px;
    border-radius: 20px;
    margin:auto;
    justify-content: center;
    align-items: center;
    
}
.icons123{
    margin:5px;
    padding: 10px;
    gap: 100px;
    height:200px;

}
.icons4{
    margin:5px;
    padding: 10px;
    justify-content:space-between;
    align-items: center;
    text-align: center;
    row-gap: 45px;


}
    
    


@media (min-width:10px) and (max-width:569px){
    .feature1{
        display: grid;
        grid-template-columns: 1fr ;
    }
    .connectus-inner{
        grid-template-columns: 1fr;
    }
    .about-main{
        grid-template-columns: 1fr;
    }
    .about-header{
        p{
            font-size: 1.2rem;
            width: 80%;
        }
    }
    .sub-mheader{
        grid-template-columns: 1fr 1fr;
        margin-top: 8rem;
        padding: 30px;

    }
   .menu-item img{
    height: 100px;
    width: 100px;
   }
   .menu-item{
    font-size: 15px;
}
.plus{
    font-size: 5rem;
}
.benefits{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem;
}
.fmain{
    font-size: 14px;
}

}




    



    
    
    




